Monday, October 31, 2011

Peopletools 8.52 client installation

Peopletools 8.52 is shipped with a client binaries installer. That’s new, but what is it exactly ? Well, it is the bare-minimum you need to work on a Peoplesoft database instance. That’s rather good if you have developers around, they probably do not need the entire installation on their own workstation. For those who know the Peoplesoft OVM template, there was something similar in the latest one with the zipfile, please see here.
It is a much lighter installer, about 500Mb, from, select product pack “PeopleSoft Enterprise”, choose a platform (it does not actually matter which one), and click on “PeopleSoft PeopleTools 8.52 Media Pack”. Download “PeopleSoft PeopleTools 8.52 Client Only”, part V27722-01.
Note that the client is only for Windows plateform.
After unzipping, let’s go for the client install (here below on Windows 2008) :
The license code is the same for the “standard” Peopletools install :
Usually, the Non-Unicode/Unicode type is for the data we are loading into the database, since it won’t install any of the loading scripts and data files, I’m wondering why the question is there and what it does exactly, but keep consistency with you whole environment:
Choose a directory to install into :
Here also I’m not sure to understand why the PSEMHUB is there, it is used by the PSEMAgent, but you probably don’t want to manage remotely the client installation, but again, here we go :
In the process above, that’s interesting to note the installer never prompt for the Oracle binaries (%ORACLE_HOME%\bin) like it is for the server Peopletools installation on Windows.

The client can also be patch with the latest Peopletools patch, since the patch 8.52.02 is already available, let’s apply it on that client. So far, there’s no patch dedicated to the client only installation, so the patch is twice bigger than the client installer… :
Here you decide what kind of installation you are doing. However, I’m not sure what will happen if you choose to patch a client and here below check “Full Install”. Is your client become a server ? It probably has to be tested. Let’s have a client only patch install :

In the end of the process, here are the different folders present in the client home :

It’s really a light install, no script, no data. Should you load a database, do not use that installation, go for a full (or server) installation instead.
But that’s still good to have for developers’ local workstation installation.
You may receive the following error when launching AppDesigner and DataMover (“the application has failed to start because its side-by-side configuration is incorrect”) :
In that case, run from the client home, \setup\psvccrt\psvccrt_retail.msi, and follow the instruction :
It should solve the problem, and you will be able to run AppDesigner and DataMover from now.

Last but not least, it is not certified on Windows XP, I tried it though. “Not certified” has never meant “not working”, so, whether the installer Disk1\setup.bat seems hanging forever, the exe file under “Disk1\InstData\setup.exe” run fine and Peopletools 8.52 is installing successfully on my Windows XP SP3 Pro workstation.


Saturday, October 29, 2011

Peopletools patch 8.52.02 unzipping issue

Peoplesoft delivered the patch 02 of Peopletools 8.52. As usual, the patch is zipped and password protected. But that time, the password contains a “very” special character, I named exclamation mark (!).

Unzipping a file within a password on Unix/Linux is quite simple :
unzip –P password

Now the given instruction is something like this :
unzip –P "pass!word"
The double-quotes should make the command successful in most of the cases even with special characters.

But because of the exclamation mark, it won’t work. The following error is returned :
-bash: !word": event not found

I won’t give the password here (password is available on My Oracle Support only – paid support required), but just a workaround to get the patch unzipped. The instruction should be :
unzip -P "pass"'!'"word"
Note the double-quote and simple-quote around the exclamation mark.

Probably that exception  has been forgotten by Oracle people when building the zip file or when writing the documentation shipped with the patch.

Hope that helps,


Friday, October 28, 2011

Peopletools 8.52 is released !

Two weeks ago, I wrote a blog entry about Peopletools 8.52 to get the infrastructure ready. Now it is done, Peopletools 8.52 is here, it has been released !
Available on edelivery, it is 3 disks (rather funny the 3rd is only 18M).
As previously announced no more WebSphere and COBOL software shipped within the Peopletools bundle.
A good surprise, a Windows client dedicated installer (Windows Client only - 598M, could make life easier on workstation).
Unless it is still too early, I did not see the traditional first patch on for the corresponding release (on My Oracle Support neither), to be tracked.
As far as I read the Installation Documentation (available on edelivery), the installation itself does not change that much, I'll write a blog entry as soon as I'll done with one install. However, there's a really big change with the PSADMIN menu, it is worth to try !

Last but not least, so far none of the applications have been recut yet with the new Peopletools version, so be careful and do not forget to manage a Peopletools upgrade of your newly application installation within that Peopletools 8.52.

To be continued with the install,


NB (28/10/2011 18:44 CET) : I was probably far too optimistic on patch, the “first” patch is now available, but not as 8.52.01, rather odd, but that’s 8.52.02, see
NB (29/10/2011) : and here the announcement

Thursday, October 20, 2011

OEM 12c

A new version of Oracle Enterprise Manager has been released sometime ago, the 12c !
The first thing I can say is regarding the Installer, it now includes all the requisites (well, except database). Weblogic is installed at the same time, no need anymore to look for it, which version, which patch as it was on previous version 11gr1.
The installation can really take a while depending of the network, but in the end it’s really nice :
What a change compared to all the previous version ! And changes do not stop on the login page, it is rather disturbing to get all the new habits, but that’s just a matter of time…
Home page :
OEM12c_033 OEM12c_034
And here the databases list :
I don’t know yet how heavy it is in terms of resources on the server, but looks really nice.
Few things though :
1. no Peoplesoft plugin yet for that version
2. OEM12c Server Manager is only certified within Agent 12c… hopefully all your databases are running on OS which support it.
3. Surprising (for me), it is not yet certified on Linux 6.x

Enjoy it,


Oracle patchset

Sometime ago has been released the latest patchset, (so far Linux only). Whether it is still not certified on Oracle Linux 6.x, it is working working fine.
Working in the same environment as I previously created here, Oracle Linux 6.0 and Oracle database, I’m doing an out-of-place upgrade.
The installer is complaining about missing RPMs…
Installing the corresponding RPMs (and remove pdksh if already installed, replaced by ksh) :

[root@orion4:/mnt]# mount /dev/cdrom /mnt/cdrom
mount: block device /dev/sr0 is write-protected, mounting read-only
[root@orion4:/mnt]# cd /mnt/cdrom/
[root@orion4:/mnt/cdrom]# cd Packages/
[root@orion4:/mnt/cdrom/Packages]# rpm -Uvh compat-libcap1-1.10-1.x86_64.rpm
warning: compat-libcap1-1.10-1.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing...                ########################################### [100%]
   1:compat-libcap1         ########################################### [100%]
[root@orion4:/mnt/cdrom/Packages]# rpm -Uvh ksh-20100621-2.el6.x86_64.rpm
warning: ksh-20100621-2.el6.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
error: Failed dependencies:
        pdksh conflicts with ksh-20100621-2.el6.x86_64
[root@orion4:/mnt/cdrom/Packages]# rpm -e pdksh
[root@orion4:/mnt/cdrom/Packages]# rpm -Uvh ksh-20100621-2.el6.x86_64.rpm
warning: ksh-20100621-2.el6.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing...                ########################################### [100%]
   1:ksh                    ########################################### [100%]
[root@orion4:/mnt/cdrom/Packages]# cd /
[root@orion4:/]# umount /dev/cdrom
Then check again and it’s going smoothly :

After changing the ORACLE_HOME setting of oracle user (OS user), upgrading the database successfully as well :
Oracle11203_025 Oracle11203_026 Oracle11203_027 Oracle11203_028 Oracle11203_029

You can see the new features coming within this patchset in the on-line documentation.



Thursday, October 13, 2011

Peopletools 8.52 : get your infrastructure ready

It has been discussed several times during the last Oracle Open World 2-6 oct. 2011, Peopletools 8.52 is just next to the door. It seems this version will change a lot of things, see the pre-release notes #1335812.1 and the value proposition #1327656.1.
But in order to be able to run this Peopletools 8.52 version, the infrastructure needs to be up to dated. There’re indeed a couples of changes and decommissioned platforms on server as well as client side which may imply some work in front.
Starting  by the client :
Up to Peopletools 8.51, Windows XP Pro (32bit) was certified and worked fine as a client for AppDesigner for developers. It is now ended. Not sure if it will work, but it is not planned to be certified. I know, Windows XP is quite an old OS, but still widely used. Client must be now on Windows 7, Vista (who really wants it by now ?), or Windows 2008 (honestly, I don’t know many workstation on that version). Keep in mind to verify the edition.
Speaking on client side, browsing is also changing a lot, a very new nice one, Apple iPad (browser Safari) will be certified ! And finally, Peoplesoft is introducing certification of Google Chrome.
On server side :
HP-UX PA-RISC certification is now definitely ended, AIX 5.3 is also ended (7.1 added).
Surprisingly, Oracle Linux 6.x is not planned to be certified (right, Oracle database is not certified yet on this Linux version), but I tend to think it will be certified soon too.
Database : Oracle, and ( and earlier is ended), probably the newly released patchset will also be certified soon (not planned yet).
Applications : they must be 8.9 or above, whereas Peopletools 8.51 was certified from within applications 8.8.
WebSphere : keep in mind, that within Peopletools 8.52, WebSphere won’t be provide anymore, support must be obtained from IBM to get the software.
COBOL compiler : similarly to the above, Peopletools 8.52 won’t come anymore with a compiler, support must be obtained from the vendor (not only Microfocus, but also IBM).
Regarding these last two points, please read this roadmap.

Except that Peopletools 8.50 was certified on x64 architecture only, I don’t think there were so many changes on the previous 8.5x versions.
So, if you want the coming soon Peopletools 8.52 and are in one of the ended certifications as describe above, prepare your infrastructure for a change. Or if that’s for demo, proof of concept and/or training purpose, you can always wait for the associated Oracle VM Peoplesoft templates (well, that supposes you have a spare server in a corner for hosting Oracle VM… that’s an other story), but not sure how long it will take to be available.
All these changes could be quite problematic if you have to deal with much older Peopletools release and Application version… which require different OS on server but also on client side (Peopletools 8.48 and earlier are not certified on Windows 7).

Administration tasks :
Few administration tasks may also change.
New variable : this could have an impact on your architecture as well, in Peopletools 8.50 has been introduced a new environment variable, PS_CFG_HOME to decouple the application/batch domain from the PS_HOME. A new one is coming within Peopletools 8.52 to separate the application installation home from the Peopletools installation home, PS_APP_HOME. It often confused new-comers in Peoplesoft world, why the application must be installed in the same folder as the Peopletools, now it is finished, we could install application where ever we want using that variable, and have multiple applications pointing to a unique Peopletools home directory.
PSADMIN menu : new options to manage the PIA such as create, clone, delete, check status…
Active DataGuard : I hope also Peoplesoft be more integrated within Active Data Guard, as I showed in an earlier blog entry there’s no Crystal, COBOL and SQR on a standby database supported. But I’m quite disappointed, it does not appear to be in the pre-release notes linked above.

This Peopletools 8.52 will change a lot of things, here was a non-exhaustive list on admin side, but there’s much more.
I’m really looking forward that new version.



PS: please note that this blog entry is based on “pre-release” notes and current certification matrix as of today – 13-OCT-2011, so it may change…